Subject: REVIEW: _Last Call_ by Tim Powers

From: [email-masked] (Aotearoa)
Date: 13 Oct 92 23:09:29 GMT

I know, there have been reviews of this here in the past, so I will keep
this short.  _Last Call_ is wicked fun, with the kind of plot that only
Powers and a select few others can make work.  The characters are
interesting and wildly eccentric, and the magic makes sense in the context
of the story.  Others have said that any Powers is a must read, and I have
found this to be true without exception thus far (yes, that includes _The
Stress Of Her Regard_).  I would have to rate _Last Call_ near the top of
Powers' work, and also among the most entertaining books I've read all year.
There is a definite horror element at work here, and it reminded me a bit
of Clive Barker's recent fantasy binges, which I also find entertaining.
-- 
Michael L. Medlin      [email-masked]
"There's a man on the shoreline with a white parrakeet
 Trying to make his bird go home"
 --Peter Jefferies, "On An Unknown Beach"